PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_cgetmi_Async | ( | int | m,
|  | int | n,
|  | PLASMA_Complex32_t * | A,
|  | PLASMA_enum | f_in,
|  | int | mb,
|  | int | nb,
|  | PLASMA_sequence * | sequence,
|  | PLASMA_request * | request
| ) |  |

PLASMA_cgetmi_Async Implementation of inplace transposition based on the GKK algorithm by Gustavson, Karlsson, Kagstrom. This algorithm shift some cycles to transpose the matrix.

Parameters

  [in] | m | Number of rows of matrix A
  [in] | n | Number of columns of matrix A
  [in,out] | A | Matrix of size L*m*n.
  [in] | f_in | Original format of the matrix A. Must be part of (PlasmaCM, PlasmaRM, PlasmaCCRB, PlasmaCRRB, PlasmaRCRB, PlasmaRRRB)
  [in] | mb | Number of rows of the problem
  [in] | nb | Number of columns in the problem
  [in] | sequence | Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
  [out] | request | Identifies this function call (for exception handling purposes).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_cgetmi